// Copyright (c) Mito
import React from 'react';
import { isNumberDtype } from '../../../../utils/dtypes';
import { getColumnFormatDropdownItems, getFormatTitle } from '../../../../utils/format';
import Select from '../../../elements/Select';
import Col from '../../../layout/Col';
import Row from '../../../layout/Row';
// Displayed if the user hovers over this section
const FORMAT_DESCRIPTION = 'Format the selected column as a percent, choose the number of decimals, etc. This only changes the display of the column, and does not effect the underlying dataframe.';
/*
    A card that allows a user to change
    the format of a column
*/
function FormatCard(props) {
    var _a;
    const formatTypeTitle = getFormatTitle((_a = props.sheetData) === null || _a === void 0 ? void 0 : _a.dfFormat.columns[props.columnID]);
    if (!isNumberDtype(props.columnDtype)) {
        return (React.createElement(React.Fragment, null));
    }
    return (React.createElement(React.Fragment, null,
        React.createElement(Row, { justify: 'space-between', align: 'center' },
            React.createElement(Col, { span: 4, title: FORMAT_DESCRIPTION },
                React.createElement("p", { className: 'text-header-3', title: '' }, "Num Type")),
            React.createElement(Col, { offset: 2, flex: '1' },
                isNumberDtype(props.columnDtype) &&
                    React.createElement(Select, { value: formatTypeTitle }, getColumnFormatDropdownItems(props.gridState.sheetIndex, props.sheetData, [props.columnID], props.mitoAPI)),
                !isNumberDtype(props.columnDtype) &&
                    React.createElement("p", { className: 'text-header-3 text-align-right' }, formatTypeTitle)))));
}
export default FormatCard;
//# sourceMappingURL=FormatCard.js.map